<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ExternalTextureSourceManager Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">Ogre::ExternalTextureSourceManager</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#c555acdb2331964338efe376b156ff83">destroyAdvancedTexture</a>(const String &amp;sTextureName, const String &amp;groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME)</td><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">Ogre::ExternalTextureSourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#fb679d92039ce0c47a43aba93cda77cd">ExternalTextureSourceManager</a>()</td><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">Ogre::ExternalTextureSourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#57795017d3d3db938246b677729b4f16">getCurrentPlugIn</a>(void) const </td><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">Ogre::ExternalTextureSourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#86b661273b9654089472178e6927e33f">getExternalTextureSource</a>(const String &amp;sTexturePlugInType)</td><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">Ogre::ExternalTextureSourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#48ff44556145b75d887f4162ff44237b">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">Ogre::ExternalTextureSourceManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#70c7067c51f73b0fbf2dcf77d582bb08">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">Ogre::ExternalTextureSourceManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#fc2c21c13829ac7241e827b0229bba14">mpCurrExternalTextureSource</a></td><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">Ogre::ExternalTextureSourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#4db0f7fa2d401e44f94b0452f188e6b1">mTextureSystems</a></td><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">Ogre::ExternalTextureSourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#20928ae950911b85605994775e2485e1">setCurrentPlugIn</a>(const String &amp;sTexturePlugInType)</td><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">Ogre::ExternalTextureSourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#ba3a8f5a2f49c1458f14c5f169940681">setExternalTextureSource</a>(const String &amp;sTexturePlugInType, ExternalTextureSource *pTextureSystem)</td><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">Ogre::ExternalTextureSourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#123f5efeb8c57c9761daa65db0900140">TextureSystemList</a> typedef</td><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">Ogre::ExternalTextureSourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#02498f0fe5568e492d77d04b12345011">~ExternalTextureSourceManager</a>()</td><td><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">Ogre::ExternalTextureSourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:40 2008
</p>
</body>
</html>
